Skip to main content
GET
/
connectors
/
consumers
/
{consumer_id}
/
cashbacks
/
{cashback_id}
Retrieves a cashback.
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/cashbacks/{cashback_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/cashbacks/{cashback_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/cashbacks/{cashback_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cashback_amount": 12.67,
  "cashback_cancellation_date": "2019-01-23T12:00:00+00:00",
  "cashback_cancellation_reason": "Transaction has been deleted",
  "cashback_estimated_payment_date": "2019-01-23T12:00:00+00:00",
  "cashback_payment_date": "2019-01-23T12:00:00+00:00",
  "cashback_pending_validation_date": "2018-11-28T16:52:47.768060+00:00",
  "cashback_transfer_date": "2019-01-23T12:00:00+00:00",
  "cashback_validation_date": "2023-11-07T05:31:56Z",
  "cashback_validation_estimated_date": "2023-11-07T05:31:56Z",
  "cashbacked_transaction_amount": -65.89,
  "cashbacked_transaction_date": "2019-01-23 12:00:00",
  "created_at": "2019-01-31T15:16:15.523309+00:00",
  "descriptor": "MYBRAND",
  "id": "e2c32b4b-de61-459b-accf-a75f76247946",
  "merchant": {
    "id": "e2c32b4b-de61-459b-accf-a75f76247946",
    "name": "<string>",
    "created_at": "2019-01-31T15:16:15.523309+00:00",
    "has_delegation": true,
    "logo": {
      "content_type": "<string>",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "links": {
        "download": "<string>",
        "preview": "<string>"
      },
      "name": "<string>",
      "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  },
  "offer": {
    "cashback_rate": 5,
    "highlight_level": "HIGH",
    "id": "e2c32b4b-de61-459b-accf-a75f76247946",
    "name": "<string>",
    "status": "<string>",
    "type": "CASHBACK",
    "application_channel": "ONLINE",
    "application_url": "https://www.mybrand.fr",
    "brand": {
      "description": "<string>",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "legal_terms": "<string>",
      "logo": {
        "content_type": "<string>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "links": {
          "download": "<string>",
          "preview": "<string>"
        },
        "name": "<string>",
        "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "name": "<string>",
      "universes": [
        {
          "children": "<array>",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "name": "<string>",
          "parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
        }
      ]
    },
    "consumed": true,
    "created_at": "2019-01-31T15:16:15.523309+00:00",
    "description": "<string>",
    "end_date": "2017-12-26T23:00:00+00:00",
    "favorite": true,
    "is_activated": true,
    "legal_terms": "<string>",
    "max_amount": 250,
    "max_cashbacks_per_consumer": 123,
    "merchant": {
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "logo": {
        "content_type": "<string>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "links": {
          "download": "<string>",
          "preview": "<string>"
        },
        "name": "<string>",
        "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    },
    "min_amount": 40,
    "network": "739c5ba7-8831-4664-9ce3-73e9f1e50c09",
    "picture": {
      "content_type": "<string>",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "links": {
        "download": "<string>",
        "preview": "<string>"
      },
      "name": "<string>",
      "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "program": {
      "id": "<string>",
      "legal_terms": "<string>",
      "name": "<string>"
    },
    "publication_date": "2019-01-01T00:00:00+00:00",
    "reference": "MYBRAND-20180220-001",
    "segments": [
      {
        "id": "e2c32b4b-de61-459b-accf-a75f76247946"
      }
    ],
    "source_transaction": true,
    "start_date": "2018-12-21T00:00:00+00:00",
    "universes": [
      {
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "name": "<string>"
      }
    ]
  },
  "status": "VALIDATED",
  "universe": {
    "children": [
      {
        "children": "<array>",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "name": "<string>",
        "parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
      }
    ],
    "id": "e2c32b4b-de61-459b-accf-a75f76247946",
    "logo": {
      "content_type": "<string>",
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "links": {
        "download": "<string>",
        "preview": "<string>"
      },
      "name": "<string>",
      "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "name": "<string>",
    "parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cashback_id
string<uuid>
required

Unique ID of the cashback reward.

consumer_id
string
required

The id you used to create the given consumer

Response

OK

cashback_amount
number
read-only

Total amount of the generated cashback. The amount of cashback is basically the transaction amount x cashback rate, rounded to 2 digits.

Example:

12.67

cashback_cancellation_date
string<date-time> | null
read-only

Date of cancellation by the merchant of a reward

Example:

"2019-01-23T12:00:00+00:00"

cashback_cancellation_reason
string | null
read-only

Text message explaining the reason of cancellation

Example:

"Transaction has been deleted"

cashback_estimated_payment_date
string<date-time>
read-only

Estimation date of the credit on the pool of the reward

Example:

"2019-01-23T12:00:00+00:00"

cashback_payment_date
string<date-time> | null
read-only

Actual credit date on the pool of the reward

Example:

"2019-01-23T12:00:00+00:00"

cashback_pending_validation_date
string<date-time> | null
read-only

Date of the cashback pending validation status

Example:

"2018-11-28T16:52:47.768060+00:00"

cashback_transfer_date
string<date-time> | null
read-only

The date where the reward is actually paid to the consumer

Example:

"2019-01-23T12:00:00+00:00"

cashback_validation_date
string<date-time> | null
read-only

End of the validation period, the merchant can't cancel the reward anymore

cashback_validation_estimated_date
string<date-time>
read-only

Estimation of the end of the validation period

cashbacked_transaction_amount
number

Amount of the original transaction that generated the cashback

Example:

-65.89

cashbacked_transaction_date
string<date-time>

Initial transaction date of execution

Example:

"2019-01-23 12:00:00"

created_at
string<date-time>
read-only

Object creation datetime

Example:

"2019-01-31T15:16:15.523309+00:00"

descriptor
string | null

Label of the transaction

Example:

"MYBRAND"

id
string<uuid>
read-only

Unique ID of the object.

Example:

"e2c32b4b-de61-459b-accf-a75f76247946"

merchant
object
offer
object

Offer from which the cashback has been computed and earned

status
string
read-only

Status of the cashback:

  • PENDING_VALIDATION: The cashback has been generated from the transaction date, but the merchant can cancel the cashback because within the validation period (e.g. 14 days)
  • VALIDATED: The merchant hasn't cancelled the cashback and we are out of the validation period. This cashback is meant to be paid by the merchant on the first open day of the month and can't be cancelled anymore.
  • PAID_IN: Cashback has been paid by the merchant and is collected by our PSP.
  • PAID_OUT: Consumer collected his/her cashback (whether manually or automatically, triggered by your pay out threshold).
  • ERROR: Something went wrong with the cashback (technical).
  • CANCELLED: Cancelled by the merchant. The cashback is not considered as due anymore. Most of the time, because the purchased item has been returned to the merchant.
Example:

"VALIDATED"

universe
object